<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        
        <!-- Bootstrap Link -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

        <title>Bootstrap Grid System</title>
    </head>
    <body class="text-center">

        <h1>Bootstrap Grid System</h1>

        <!-- Two Columns -->
        <h2>Two Columns</h2>

        <div class="container-fluid">
            
            <!-- Row with two equal columns -->
            <h3>1:1 Ratio</h3>
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
            </div>

            <!-- Row with two columns divided in 1:2 ratio -->
            <h3>1:2 Ratio</h3>
            <div class=" text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
            </div>

            <h3>1:3 Ratio</h3>
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
            </div>
        </div>
        <!-- Two Columns End -->

        <!-- Three Columns -->
        <h2>Three Columns</h2>
        <div class="container-fluid">
            
            <!-- Row with three equal columns -->
            <h3>1:1:1 Ratio</h3>
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
            </div>

            <!-- Row with three columns divided in an uneven ratio -->
            <h3>Uneven Ratio</h3>
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
            </div>

            <!-- Row with three columns divided in 1:2:1 ratio -->
            <h3>1:2:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
            </div>
        </div>
        <!-- Three Columns End-->

        <!-- Automatic Sizing -->
        <h2>Automatic Sizing</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
            </div>
        </div>
        <!-- Automatic Sizing End -->

        <!-- Mobile Responsive Columns Start -->
        <h2>Mobile Responsive Columns</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-lg-2 col-md-4 col-sm-6">Responsive</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-lg-10 col-md-8 col-sm-6">Responsive</div>
            </div>
        </div>
        <!-- Mobile Responsive Columns End -->

        <!-- Multi-Column Layouts -->
        <h2>Multi-Column Layouts</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
            </div>
        </div>
        <!-- Multi-Column Layouts End -->

        <!-- CRC Inside a Row -->
        <h2>CRC Inside a Row</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <!-- Inside -->
                <div class="container-fluid">
                    <div class="text-light row">
                        <div class="bg-primary pt-3 pb-3 border border-dark col-6">"Hellow</div>
                        <div class="bg-secondary pt-3 pb-3 border border-dark col-4">"Hellow</div>
                        <div class="bg-primary pt-3 pb-3 border border-dark col-2">"Hellow</div>
                    </div>
                </div>
            </div>
        </div>
        <!-- CRC Inside a Row End-->

        <!-- CRC Inside Column (Sir Lourd)-->
        <h2>CRC Inside Column</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="border border-dark col-4 bg-primary">
                    <div class="row">
                        <div class="col bg-warning">Row 1 Col 1</div>
                        <div class="col bg-dark">Row 1 Col 2</div>
                        <div class="col bg-warning">Row 1 Col 3</div>
                    </div>
                    <div class="row">
                        <div class="col bg-danger">Row 2</div>
                        <div class="col bg-success">Row 2</div>
                    </div>
                </div>
                <div class="border border-dark col-4 bg-secondary">Catalog 2</div>
                <div class="border border-dark col-4 bg-primary">Catalog 3</div>
            </div>
        </div>
    <!-- End of CRC Inside Column -->


        <!-- Offsetting Columns -->
        <h2>Offsetting Columns</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-2">Offset Column</div>
                <div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
                <div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
            </div>
        </div>
        <!-- Offsetting Columns End -->

        <!-- Column Orders -->
        <h2>Column Orders</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col order-md-2 order-2">Left</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col order-md-1 order-1">Right</div>
            </div>
        </div>
        <!-- Column Orders End -->



        <!-- JS Bootstrap -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

    </body>
</html>
